Subject: Mac client breaks keyboard layout

From: Aaron Russell <[email-masked]>
Date: Sat, 19 Apr 2014 19:20:23 +0100

Package: x2goserver
Version: 4.0.1.15

I've been having trouble with the Mac client for a few months now (Linux and Windows have been fine, however).

When I login to a new session, the keyboard is messed up (backspace becomes comma, control becomes capslock, etc). If I resume a session that was started on a Linux or Windows client however, the problem doesn't exist.

It sounds like the same problem described in http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=348 -- although that was patched and fixed.

Out of curiosity I tried reverting the commit made to fix that bug (which itself was a revert of another commit that brought in a fix for the Mac client). Suddenly things started working.

Here's the commit I reverted (well, I just hacked the x2gostartagent file on my server); http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=97f2341

I'm happy to assist with resolving this issue in whatever way I can.

I'm using Ubuntu 14.04 on the server (though the problem also exists on 12.04), and I'm using OS X 10.9.2 with x2goclient 4.0.1.3.